"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.resetCachedProxyAgents = exports.proxyPolicy = exports.getDefaultProxySettings = exports.proxyPolicyName = void 0;
exports.proxyPolicyName = "proxyPolicy";
const errorMessage = "proxyPolicy is not supported in browser environment";
function getDefaultProxySettings() {
    throw new Error(errorMessage);
}
exports.getDefaultProxySettings = getDefaultProxySettings;
/**
 * proxyPolicy is not supported in the browser and attempting
 * to use it will raise an error.
 */
function proxyPolicy() {
    throw new Error(errorMessage);
}
exports.proxyPolicy = proxyPolicy;
/**
 * A function to reset the cached agents.
 * proxyPolicy is not supported in the browser and attempting
 * to use it will raise an error.
 * @internal
 */
function resetCachedProxyAgents() {
    throw new Error(errorMessage);
}
exports.resetCachedProxyAgents = resetCachedProxyAgents;
//# sourceMappingURL=proxyPolicy.common.js.map